/* Se testeaza unele metode ale clasei java.util.TreeMap. 
   La lansarea in executie se dau ca argumente in linia de comanda
   mai multe perechi cheie-valoare, care vor fi puse in mapare.
   De exemplu:
   > java TestTreeMap r1 valoare1 c valoare2 p valoare3 x valoare4 
      c1 valoare5 z valoare6 t2 valoare7 h valoare8
*/

import java.util.*;

class TestTreeMap {
  public static void main(String args[]) {
    if(args.length<2) {
      System.out.println("Dati ca argumente mai multe "+
            "perechi cheie-valoare");
      System.exit(0);
    }
    TreeMap map=new TreeMap();
    for(int i=0; i<args.length; i+=2) 
      map.put(args[i], args[i+1]);
    System.out.println("Maparea contine: "+map);
    map.remove(args[0]);
    System.out.println("Dupa eliminarea elementului cu cheia "+
      args[0]+" maparea contine "+map);
    System.out.println("Maparea contine "+map.size()+" elemente");
    System.out.println("Prima cheie este "+map.firstKey());
    System.out.println("Ultima cheie este "+map.lastKey());
  }
}
