class TestCombinari {
  public static void main(String args[]) {
    if(args.length<3) {
      System.out.println("Utilizare: java TestCombinari " + 
        "<numarElementeInCombinare> <tablouObiecte>");
      System.exit(0);
    }
    try {
      int nrElemente=Integer.parseInt(args[0]);
      if(nrElemente>=args.length) {
        System.out.println("In Aranjamente de m elemente luate " +
          "cate n ati dat n>m");
        System.exit(0);
      }
      if(nrElemente<=0) {
        System.out.println("Numarul de elemente <= 0");
        System.exit(0);
      }
      String tabElem[]=new String[args.length-1];
      for(int i=0; i<tabElem.length; i++)
        tabElem[i]=args[i+1];
      Combinari comb=new Combinari(tabElem, nrElemente);
      Object solutie;
      int nrSolutii=0;
      do {
        solutie=comb.solutiaUrmatoare();
        if(solutie!=null) {
          nrSolutii++;
          System.out.println("Solutia "+nrSolutii+": "+solutie);
        }
      } while(solutie!=null);
      System.out.println("S-au gasit "+nrSolutii+" solutii");
    }
    catch(Exception e) {
      System.out.println(e);
    }
  }
}
