import java.io.IOException;
import java.io.*;

class MergeSort {
  public static void mergeSort(int tab[]) {
    int tab1[]=new int[8];
    mergeSort(tab, 0, 7, tab1);
  }

  private static void mergeSort(int tab[], int i1, int i2,
       int tab1[]) {
   if((i2-i1)>1) { // se imparte in doua subzone
     int k=(i1+i2)/2; // mijlocul intervalului
     /* Se sorteaza separat cele doua jumatati ale zonei (i1,i2),
        folosind tab1 ca tablou auxiliar si obtinand rezultatele
        in tab
     */
     mergeSort(tab,i1,k-1,tab1); // sortare subzona stanga
     mergeSort(tab, k,i2, tab1); // sortare subzona dreapta
     /* Se interclaseaza cele doua subzone, folosind tabloul 
        auxiliar tab1 si obtinand rezultatul in tab
     */
     interclasare(tab,i1, k, i2, tab1);
   }
   else { // au ramas cel mult doua elemente
     if((i2-i1)==1){// se ordoneaza cele doua elemente
       if(tab[i1]>tab[i2]) { // interschimbarea elementelor
         int aux=tab[i1];
         tab[i1]=tab[i2];
         tab[i2]=aux;
       } // sfarsit if
     }  // sfarsit if
   }  // sfarsit else
  } // sfarsit metoda

  private static void interclasare(int tab[], int i1, int k, 
      int i2, int tab1[]) {
    int i=i1, j=k, q=i1;
    while(i<k && j<=i2) {
      if(tab[i]<tab[j]) tab1[q++]=tab[i++];
      else tab1[q++]=tab[j++];
    } // sfarsit while
    while(i<k) tab1[q++]=tab[i++];
    while(j<=i2) tab1[q++]=tab[j++];
    for(q=i1; q<=i2; q++) tab[q]=tab1[q]; // mutare din tab1 in tab
  } // sfarsit metoda

  /* Testarea metodelor */
  public static void main(String args[]) {
     int tab[]=new int[8], 
           tab1[]=new int[8];
    for(int i=0; i<8; i++) {
    	try {
  //  	DataInputStream in=new DataInputStream(System.in);
  //  	tab[i]=Integer.parseInt(in.readLine());	}
    		tab[i] = System.in.read() - '0';}
    	catch (IOException e){
      System.out.println("Error reading from user");
    }
}
 //     tab[i]=10-i;
    mergeSort(tab);
    System.out.println("Tabloul sortat:");
    for(int i=0; i<8; i++)
      System.out.print(tab[i]+" ");
    System.out.println();
  } // sfarsit main
}

