/* Testarea clasei ArrayList.
   La punerea in executie se dau ca argumente in linia de comanda
   elementele care se vor pune initial in lista
*/

import java.util.*;

class TestArrayList {
  public static void main(String args[]) {
    /* Se construieste o lista */
    ArrayList lista=new ArrayList();
    /* Se pun in lista toate argumentele din linia de comanda */
    for(int i=0; i<args.length; i++) lista.add(args[i]);
    /* Se creaza un iterator al listei astfel create */
    ListIterator iter=lista.listIterator();
    /* Se afiseaza toate elementele listei in ordine directa */
    System.out.println("Lista contine urmatoarele "+lista.size()+
      " elemente:");
    while(iter.hasNext()) System.out.print(iter.next()+" ");
    System.out.println();
    System.out.println("Aceeasi lista, convertita in sir prin "+
      "metoda toString(): ");
    System.out.println(lista);
    /* Se adauga doua elemente la sfarsitul listei */
    lista.add("A1");
    lista.add("A2");
    /* Se insereaza un element pe pozitia de indice 2 */
    lista.add(2,"B1");
    /* Se afiseaza lista dupa adaugari */
    System.out.println("Dupa doua adaugari si o inserare:");
    System.out.println(lista);
    /* Se creeaza o noua lista, copiindu-se in ea lista existenta,
       apoi se afiseaza
    */
    ArrayList lista1=new ArrayList(lista);
    System.out.println("Lista obtinuta prin copiere:\n"+lista1);
    /* Eliminam din lista1 elementul de indice 1 */
    lista1.remove(1);
    System.out.println("Dupa eliminarea elementului de indice 1:");
    System.out.println(lista1);
  }
}