import java.util.*;

/* Testarea clasei java.util.Stack
   Metodele size() si toString(), folosite aici, sunt mostenite
   de la superclase, in timp ce metodele push, pop, empty si search
   sunt specifice stivei

   La lansarea in executie a aplicatiei se vor da ca argumentwe in
   linia de comanda niste siruri de caractere care vor fi puse
   in stiva
*/

class TestStack {
  public static void main(String args[]) {
    if(args.length==0) {
      System.out.println("Dati cateva argumente in linia de comanda");
      System.exit(0);
    }
    /* Se creeaza o stiva */
    Stack stiva=new Stack();
    /* Se pun in stiva argumentele din linia de comanda */
    for(int i=0; i<args.length; i++) stiva.push(args[i]);
    /* Se determina numarul de elemente din stiva si adancimea la 
       care se gaseste elementul args[0]
    */
    System.out.println("In stiva se gasesc urmatoarele "+
          stiva.size()+" elemente:");
    System.out.println(stiva);
    System.out.println("Elementul <"+args[0]+"> se gaseste la "+
          "adancimea "+stiva.search(args[0]));
    /* Se extrag toate elementele din stiva si se afiseaza in ordinea
       inversa celei in care au fost introduse
    */
    while(!stiva.empty())
      System.out.print(stiva.pop()+" ");
    System.out.println();
  }
}
