import java.util.*;
import java.io.*;

class TestGraf1 {
  public static void main(String args[]) {
    Graf graf=new Graf();
    graf.puneVarf("A","a");
    graf.puneVarf("B","b");
    graf.puneVarf("C","c");
    graf.puneArc("A","B","ab");
    graf.puneArc("A","A","aa");
    graf.puneArc("A","C","ac");
    graf.puneArc("C","A","ca");
    graf.puneArc("C","B","cb");
    graf.puneArc("B", "A","ba");
    graf.puneVarf("E","e");
    graf.puneVarf("D","d");
    graf.puneArc("A", "B", "ab");
    graf.puneArc("B","A","ba");
    graf.puneArc("B","D","bd");
    graf.puneArc("C","B","cb");
    graf.puneArc("C","D","cd");
    graf.puneArc("C","E","ce");
    graf.puneArc("D","B","db");
    graf.puneArc("D","E","de");
    graf.puneArc("E","C","ec");
    graf.puneVarf("F","f");
    graf.puneArc("F","A","fa");
    graf.puneArc("F","C","fc");
    graf.puneArc("E","F","ef");
    graf.puneVarf("G","g");
    graf.puneArc("G","E","ge");
    graf.puneArc("D","G","dg");
    System.out.println(graf);
    Iterator iter=graf.iteratorLatime("A");
    if(iter==null) System.out.println("Iterator nul!");
    else {
      System.out.print("Explorare in latime: ");
      while(iter.hasNext())
        System.out.print(((Graf.Varf)iter.next()).eticheta()+" ");
      System.out.println();
    }
    Arbore arbore=graf.arboreAcoperireLatime(graf, "A");
    System.out.println("Arbore acoperire in latime: "+arbore);
    iter=graf.iteratorLatime("E");
    if(iter==null) System.out.println("Iterator nul!");
    else {
      System.out.print("Explorare in latime: ");
      while(iter.hasNext())
        System.out.print(((Graf.Varf)iter.next()).eticheta()+" ");
      System.out.println();
    }
    arbore=graf.arboreAcoperireLatime(graf, "E");
    System.out.println("Arbore acoperire in latime: "+arbore);
    iter=graf.iteratorLatime("G");
    if(iter==null) System.out.println("Iterator nul!");
    else {
      System.out.print("Explorare in latime: ");
      while(iter.hasNext())
        System.out.print(((Graf.Varf)iter.next()).eticheta()+" ");
      System.out.println();
    }
    arbore=graf.arboreAcoperireLatime(graf, "G");
    System.out.println("Arbore acoperire in latime: "+arbore);

    System.out.print("Pentru a continua, apasati tasta <Enter>");
    try {
      System.in.read();
    }
    catch(IOException e) {}

    iter=graf.iteratorAdancime("A");
    if(iter==null) System.out.println("Iterator nul!");
    else {
      System.out.print("Explorare in adancime: ");
      while(iter.hasNext()) {
        System.out.print(((Graf.Varf)iter.next()).eticheta()+" ");
      }
      System.out.println();
    }
    arbore=graf.arboreAcoperireAdancime(graf, "A");
    System.out.println("Arbore acoperire adancime: "+arbore);

    iter=graf.iteratorAdancime("E");
    if(iter==null) System.out.println("Iterator nul!");
    else {
      System.out.print("Explorare in adancime: ");
      while(iter.hasNext())
        System.out.print(((Graf.Varf)iter.next()).eticheta()+" ");
      System.out.println();
    }
    arbore=graf.arboreAcoperireAdancime(graf, "E");
    System.out.println("Arbore acoperire adancime: "+arbore);

    iter=graf.iteratorAdancime("B");
    if(iter==null) System.out.println("Iterator nul!");
    else {
      System.out.print("Explorare in adancime: ");
      while(iter.hasNext())
        System.out.print(((Graf.Varf)iter.next()).eticheta()+" ");
      System.out.println();
    }
    arbore=graf.arboreAcoperireAdancime(graf, "B");
    System.out.println("Arbore acoperire adancime: "+arbore);

    iter=graf.iteratorAdancime("C");
    if(iter==null) System.out.println("Iterator nul!");
    else {
      System.out.print("Explorare in adancime: ");
      while(iter.hasNext())
        System.out.print(((Graf.Varf)iter.next()).eticheta()+" ");
      System.out.println();
    }    
    arbore=graf.arboreAcoperireAdancime(graf, "C");
    System.out.println("Arbore acoperire adancime: "+arbore);

    System.out.print("Pentru a continua, apasati tasta <Enter>");
    try {
      System.in.skip(100);
      System.in.read();
    }
    catch(IOException e) {}

    System.out.println("Inaunte de clonare graf: "+graf);
    Graf clona=(Graf)graf.clone();
    System.out.println("Dupa clonare graf: "+graf);
    System.out.println("Clona: "+clona);
    clona.eliminaVarf("A");
    System.out.println("Dupa eliminare, clona: "+clona);
    System.out.println("Dupa eliminare, graf : "+graf);    
  }
}
